---
title: Homepage
description: 
published: true
date: 2025-06-05T14:33:58.922Z
tags: 
editor: markdown
dateCreated: 2021-06-19T09:29:20.593Z
---

# The Phyllome OS wiki

In this wiki, you will find guides about [how to install](#install) and [use](#get-started) Phyllome OS, as well as information on the [underlying technologies](#references), Phyllome OS [itself](#about-phyllome-os) and the surrounding [project](#about-the-project).

## Install

*How to install Phyllome OS*

- [Prepare the target computer](/deploy/prepare)
- [Create an installation medium](/deploy/medium)
- [Install](/deploy/install)

## Get started

*How to use Phyllome OS and deploy your favorite operating system inside Phyllome OS*

- [First setup and beyond](/getstarted/firstsetup)

### Guests
	
- **Linux**:tm:  
	- [Install a Linux distribution through the network](/getstarted/install-guest) 
	- [Automatically provision a Linux distribution](/getstarted/virt-install)

- **Windows**:tm:
	- [Install ReactOS manually](/getstarted/reactos)

## Go further

*Go further with Phyllome OS*

- [Resize](/gofurther/resize) a virtual disk
- [Encrypt](/gofurther/encrypt) a directory

### Sharing resources with a guest system

- [Share a directory](/gofurther/virtiofs)
- [Share an input device](/gofurther/evdev)
- [Share a virtual GPU](/gofurther/vfio-mdev)
- [Share a physical device](/gofurther/vfio-pci)

## Technical references

*Information about related technologies*

- [Lexicon](/virt/lexicon)
- [A very short history of virtualization](/virt/history)
- [Tools related to virtualization](/virt/tools)

### Host virtualization software

- [Linux Kernel modules](/virt/host/modules) related to virtualization
- [Virtualization-related paths](/virt/host/paths) on Phyllome OS
- [A libvirt XML file](/virt/host/xml)

### Guest hardware

- [Machine definition](/virt/vm)
- [Chipsets](/virt/vm/chipset)
- [Firmware](/virt/vm/firmware)
- [Graphic cards](/virt/vm/graphic-card)
- [Virtual I/O (virtio) devices](/virt/vm/virtio)

### Guest software

- [Guest operating systems support](/virt/guest.md)

## About Phyllome OS

- [Context](/phyllomeos/context) and comparaison
- [Architecture](/phyllomeos/purpose)
- [Roadmap](/phyllomeos/roadmap)
- [FAQ](/phyllomeos/faq)

## About the project

- [How to contribute](/project/contribute)
- [How to join](/project/join)
- [Infrastructure](/project/infrastructure)

---

| The website | This wiki | The issue board | The forge | 
| :-: | :-: | :-: | :-: |
| phyllo.me | wiki.phyllo.me | [kanboard.phyllo.me](https://kanboard.phyllo.me/b/CH7qd98J2v7egmodk/development) | git.phyllo.me |